---
title: Playoff
---

<p>Soutěž hraná vyřazovacím systémem, která oproti základní soutěži neumožňuje smazat všechny 
zápasy v soutěži, přidat/odebrat tým, pokud už bylo vygenerováno aspoň jedno kolo. V playoff se 
totiž nepracuje hned se zápasy, ale zápasy jsou seskupiny do sérií a série patří do určitého kola
playoff. Playoff totiž tvoří stromovou strukturu, takže každým kolem se počet týmů snižuje o polovinu.</p>

<h2>Dostupné akce oproti základní soutěži</h2>
<ul>
    <li><strong>Úprava playoff</strong> - změna počtu vítězných zápasů v jedné sérií</li>
    <li><strong>Změna nasazení týmů</strong> - dokud není vygenerováno 1.kolo, tak lze měnit nasazení týmů</li>    
    <li><strong>Zobrazení playoff pavouka</strong> - zobrazení stromové struktury playoff i s automatickým doplněním
        postupujících týmů do dalšího kola, i když kolo ještě není vygenerované.</li>
    <li><strong>Generování playoff kola</strong> - vygenerování dalšího kola playoff</li>
    <li><strong>Kola v playoff</strong> - lze si zobrazit série ze zvoleného kola a smazat série z posledního odehraného kola</li>
    <li><strong>Playoff série</strong> - přehled konečného skóre (počty vítězství) a zápasů v sérii</li>
</ul>

<h2>Generování kola playoff</h2>
<p>Aby šlo vygenerovat první kolo, tak musí mít všechny týmy nastavené nasazení. Aby šlo vygenerovat následující
kola, tak musí mít všechny série z posledního kola ukončené série, tzn. že počet vítězství jednoho týmu v sérii
je větší nebo roven počtu vítězství z nastavení playoff.</p>
<p>Pro generování kol (kromě toho prvního) lze i změnit způsob nasazování týmů:</p>
<ul>
    <li><strong>menší nasazení z předchozí série</strong> - tým na začátku vidí s kým se utká v budoucích kolech, např. Wimbledon</li>
    <li><strong>nasazení podle vítěze z předchozího kola</strong> - nasazení týmů se vždy určí podle vítězů z předchozího kola, např. hokejová extraliga</li>
</ul>
<p>Pro lepší pochopení přikládám následující příklad. Doporučuji se zaměřit na soupeře týmu Pardubice, přesněji na
nasazení jeho soupeře. Také je zjevné, že u extraligy dojde k reorganizace požadí sérií v prvním kole.</p>
<table>
    <tr>
        <th class="alignCenter">Wimbledon</th>
        <th class="alignCenter">Extraliga</th>
    </tr>
    <tr>
        <td>
            <%= image_tag 'playoff/fixed-seeded.png' %>
        </td>
        <td>
            <%= image_tag 'playoff/variable-seeded.png' %>
        </td>
    </tr>
</table>

<h2>Omezení v modulu</h2>
<ul>
    <li>Nelze přidat ani smazat zápas ze sérií u uzavřených kol. Ale jde upravovat výsledky zápasů ze sérií (např. aby 
        šlo vygenerovat další kolo, i když v playoff budou u fotbalu 2 remízy, ale postoupí na základě počtu gólů z hřiště soupeře).</li>
</ul>